Get account information. | Algorand Developer Portal

Get account information.

GET

/v2/accounts/{address}

Given a specific account public key, this call returns the account’s status, balance and spendable amounts

Authorizations

Parameters

Path Parameters

address
required
string
/[A-Z0-9]{58}/
An account public key.

Query Parameters

exclude
Array
Allowed values: all none created-apps-params created-assets-params
Exclude additional items from the account. Use all to exclude asset holdings, application local state, created asset parameters, and created application parameters. Use created-apps-params to exclude only the parameters of created applications (returns only application IDs). Use created-assets-params to exclude only the parameters of created assets (returns only asset IDs). Multiple values can be comma-separated (e.g., created-apps-params,created-assets-params). Note: all and none cannot be combined with other values. Defaults to none.

format
string
Allowed values: json msgpack
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

Responses

200

Account information at a given round.

AccountResponse